Loading...
Searching...
No Matches
on_surface Struct Reference
Observer location

Data for an observer's location on the surface of the Earth, and optional local weather data for refraction calculations only. More...

`#include <novas.h>`

## Data Fields

double | height
| [m] geodetic (ITRS / GRS80) altitude above sea level
double | humidity
| [%] Relative humidity.
double | latitude
| [deg] geodetic (ITRS / GRS80) latitude; north positive
double | longitude
| [deg] geodetic (ITRS / GRS80) longitude; east positive
double | pressure
| [mbar] atmospheric pressure for optical refraction
double | temperature
| [C] temperature (degrees Celsius); for optical refraction

## Detailed Description

Data for an observer's location on the surface of the Earth, and optional local weather data for refraction calculations only.

See also
  make_itrf_site(), make_gps_site(), make_xyz_site(), make_observer_at_site(), ON_SURFACE_INIT
  make_observer_at_site(), make_airborne_observer()

## Field Documentation

## humidity

double humidity

[%] Relative humidity.

Since
  1.1

The documentation for this struct was generated from the following file:

- /build/supernovas-Ly00hg/supernovas-1.5.1/include/novas.h